#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	Explode
Summary:	MIME::Explode - Perl extension for explode MIME messages
Summary(pl.UTF-8):	MIME::Explode - rozszerzenie Perla do rozbijania wiadomości MIME
Name:		perl-MIME-Explode
Version:	0.39
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	87be0487497ee30b4566ceac2dbaf733
URL:		http://search.cpan.org/dist/MIME-Explode/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME::Explode is Perl module for parsing and decoding single or
multipart MIME messages, and outputting its decoded components to a
given directory. This module is designed to allows users to extract
the attached files out of a MIME encoded email messages or mailboxes.

%description -l pl.UTF-8
MIME::Explode to moduł Perla do analizy i dekodowania jedno- i
wieloczęściowych wiadomości MIME oraz zapisu zdekodowanych składników
do podanego katalogu. Ten moduł został opracowany aby umożliwić
użytkownikom wydobywanie załączników z zakodowanych MIME wiadomości
lub skrzynek pocztowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/MIME/Explode.pm
%dir %{perl_vendorarch}/auto/MIME/Explode
%{perl_vendorarch}/auto/MIME/Explode/autosplit.ix
%{perl_vendorarch}/auto/MIME/Explode/Explode.bs
%attr(755,root,root) %{perl_vendorarch}/auto/MIME/Explode/Explode.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MIME-Explode.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e1de4aa
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> b9d39a1
- up to 0.39

* Mon Nov 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f3cec0c
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6157873
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9caad85
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 1a7d2e4
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 714aac9
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 74c4dad
- up to 0.38

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3380d14
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1e65fd6
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 924c457
- autoupdated to 0.37

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cbb1139
- formatting

* Sun Aug 22 2004 Adam Gołębiowski <adamg@pld-linux.org> 00203e2
- updated to 0.36

* Sat May 29 2004 Adam Gołębiowski <adamg@pld-linux.org> 255482a
- updated to 0.35

* Thu May 27 2004 Adam Gołębiowski <adamg@pld-linux.org> 7a5366e
- updated to 0.34

* Sun May 23 2004 Adam Gołębiowski <adamg@pld-linux.org> a423c0a
- updated to 0.32

* Fri May 07 2004 Adam Gołębiowski <adamg@pld-linux.org> d0127c2
- updated to 0.31

* Tue May 04 2004 Adam Gołębiowski <adamg@pld-linux.org> ac25751
- updated to 0.30

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> 70a0868
- license fixes / unification

* Sun Feb 08 2004 misi3k <misi3k@pld-linux.org> 4025a45
- updated to 0.29

